### Method

# Gck Session wrap_key_async

#### Declaration [src]

    void
    gck_session_wrap_key_async (
      GckSession* self,
      GckObject* wrapper,
      GckMechanism* mechanism,
      GckObject* wrapped,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Wrap a key into a byte stream. This call will return immediately and complete asynchronously.

#### Parameters

`wrapper` | `GckObject`
| The key to use for wrapping.
| The data is owned by the caller of the function.
`mechanism` | `GckMechanism`
| The mechanism to use for wrapping.
| The data is owned by the caller of the function.
`wrapped` | `GckObject`
| The key to wrap.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.